{-|
[@ISO639-1@]        ba

[@ISO639-2@]        bak

[@ISO639-3@]        bak

[@Native name@]     Башҡорт теле

[@English name@]    Bashkir
-}
module Text.Numeral.Language.BAK.TestData (cardinals) where


--------------------------------------------------------------------------------
-- Imports
--------------------------------------------------------------------------------

import "numerals" Text.Numeral.Grammar ( defaultInflection )
import "this" Text.Numeral.Test ( TestData )


--------------------------------------------------------------------------------
-- Test data
--------------------------------------------------------------------------------

{-
Sources:
  http://www.languagesandnumbers.com/how-to-count-in-bashkir/en/bak/
-}

cardinals :: (Num i) => TestData i
cardinals =
  [ ( "default"
    , defaultInflection
    , [ (1, "бер")
      , (2, "ике")
      , (3, "өс")
      , (4, "дүрт")
      , (5, "биш")
      , (6, "алты")
      , (7, "ете")
      , (8, "һигеҙ")
      , (9, "туғыҙ")
      , (10, "ун")
      , (11, "ун бер")
      , (12, "ун ике")
      , (13, "ун өс")
      , (14, "ун дүрт")
      , (15, "ун биш")
      , (16, "ун алты")
      , (17, "ун ете")
      , (18, "ун һигеҙ")
      , (19, "ун туғыҙ")
      , (20, "егерме")
      , (21, "егерме бер")
      , (22, "егерме ике")
      , (23, "егерме өс")
      , (24, "егерме дүрт")
      , (25, "егерме биш")
      , (26, "егерме алты")
      , (27, "егерме ете")
      , (28, "егерме һигеҙ")
      , (29, "егерме туғыҙ")
      , (30, "утыҙ")
      , (31, "утыҙ бер")
      , (32, "утыҙ ике")
      , (33, "утыҙ өс")
      , (34, "утыҙ дүрт")
      , (35, "утыҙ биш")
      , (36, "утыҙ алты")
      , (37, "утыҙ ете")
      , (38, "утыҙ һигеҙ")
      , (39, "утыҙ туғыҙ")
      , (40, "ҡырҡ")
      , (41, "ҡырҡ бер")
      , (42, "ҡырҡ ике")
      , (43, "ҡырҡ өс")
      , (44, "ҡырҡ дүрт")
      , (45, "ҡырҡ биш")
      , (46, "ҡырҡ алты")
      , (47, "ҡырҡ ете")
      , (48, "ҡырҡ һигеҙ")
      , (49, "ҡырҡ туғыҙ")
      , (50, "илле")
      , (51, "илле бер")
      , (52, "илле ике")
      , (53, "илле өс")
      , (54, "илле дүрт")
      , (55, "илле биш")
      , (56, "илле алты")
      , (57, "илле ете")
      , (58, "илле һигеҙ")
      , (59, "илле туғыҙ")
      , (60, "алтмыш")
      , (61, "алтмыш бер")
      , (62, "алтмыш ике")
      , (63, "алтмыш өс")
      , (64, "алтмыш дүрт")
      , (65, "алтмыш биш")
      , (66, "алтмыш алты")
      , (67, "алтмыш ете")
      , (68, "алтмыш һигеҙ")
      , (69, "алтмыш туғыҙ")
      , (70, "етмеш")
      , (71, "етмеш бер")
      , (72, "етмеш ике")
      , (73, "етмеш өс")
      , (74, "етмеш дүрт")
      , (75, "етмеш биш")
      , (76, "етмеш алты")
      , (77, "етмеш ете")
      , (78, "етмеш һигеҙ")
      , (79, "етмеш туғыҙ")
      , (80, "һикһән")
      , (81, "һикһән бер")
      , (82, "һикһән ике")
      , (83, "һикһән өс")
      , (84, "һикһән дүрт")
      , (85, "һикһән биш")
      , (86, "һикһән алты")
      , (87, "һикһән ете")
      , (88, "һикһән һигеҙ")
      , (89, "һикһән туғыҙ")
      , (90, "туҡһан")
      , (91, "туҡһан бер")
      , (92, "туҡһан ике")
      , (93, "туҡһан өс")
      , (94, "туҡһан дүрт")
      , (95, "туҡһан биш")
      , (96, "туҡһан алты")
      , (97, "туҡһан ете")
      , (98, "туҡһан һигеҙ")
      , (99, "туҡһан туғыҙ")
      , (100, "йөҙ")
      , (101, "йөҙ бер")
      , (102, "йөҙ ике")
      , (103, "йөҙ өс")
      , (104, "йөҙ дүрт")
      , (105, "йөҙ биш")
      , (106, "йөҙ алты")
      , (107, "йөҙ ете")
      , (108, "йөҙ һигеҙ")
      , (109, "йөҙ туғыҙ")
      , (110, "йөҙ ун")
      , (123, "йөҙ егерме өс")
      , (200, "ике йөҙ")
      , (300, "өс йөҙ")
      , (321, "өс йөҙ егерме бер")
      , (400, "дүрт йөҙ")
      , (500, "биш йөҙ")
      , (600, "алты йөҙ")
      , (700, "ете йөҙ")
      , (800, "һигеҙ йөҙ")
      , (900, "туғыҙ йөҙ")
      , (909, "туғыҙ йөҙ туғыҙ")
      , (990, "туғыҙ йөҙ туҡһан")
      , (999, "туғыҙ йөҙ туҡһан туғыҙ")
      , (1000, "мең")
      , (1001, "мең бер")
      , (1008, "мең һигеҙ")
      , (1234, "мең ике йөҙ утыҙ дүрт")
      , (2000, "ике мең")
      , (3000, "өс мең")
      , (4000, "дүрт мең")
      , (4321, "дүрт мең өс йөҙ егерме бер")
      , (5000, "биш мең")
      , (6000, "алты мең")
      , (7000, "ете мең")
      , (8000, "һигеҙ мең")
      , (9000, "туғыҙ мең")
      ]
    )
  ]
