{-|
[@ISO639-1@]        co

[@ISO639-2@]        cos

[@ISO639-3@]        cos

[@Native name@]     corsu

[@English name@]    Corsican
-}
module Text.Numeral.Language.COS.TestData (cardinals) where


--------------------------------------------------------------------------------
-- Imports
--------------------------------------------------------------------------------

import "numerals" Text.Numeral.Grammar ( defaultInflection )
import "this" Text.Numeral.Test ( TestData )


--------------------------------------------------------------------------------
-- Test data
--------------------------------------------------------------------------------

{-
Sources:
  http://www.languagesandnumbers.com/how-to-count-in-corsican/en/cos/
-}

cardinals :: (Num i) => TestData i
cardinals =
  [ ( "default"
    , defaultInflection
    , [ (0, "zéru")
      , (1, "unu")
      , (2, "dui")
      , (3, "trè")
      , (4, "quattru")
      , (5, "cinque")
      , (6, "séi")
      , (7, "sétte")
      , (8, "óttu")
      , (9, "nóve")
      , (10, "déce")
      , (11, "òndeci")
      , (12, "dòdeci")
      , (13, "trèdeci")
      , (14, "quattòrdeci")
      , (15, "quindeci")
      , (16, "sèdeci")
      , (17, "dicessétte")
      , (18, "dicióttu")
      , (19, "dicennóve")
      , (20, "vinti")
      , (21, "vintunu")
      , (22, "vintidui")
      , (23, "vintitrè")
      , (24, "vintiquattru")
      , (25, "vinticinque")
      , (26, "vintiséi")
      , (27, "vintisétte")
      , (28, "vintóttu")
      , (29, "vintinóve")
      , (30, "trènta")
      , (31, "trèntunu")
      , (32, "trèntadui")
      , (33, "trèntatrè")
      , (34, "trèntaquattru")
      , (35, "trèntacinque")
      , (36, "trèntaséi")
      , (37, "trèntasétte")
      , (38, "trèntóttu")
      , (39, "trèntanóve")
      , (40, "quaranta")
      , (41, "quarantunu")
      , (42, "quarantadui")
      , (43, "quarantatrè")
      , (44, "quarantaquattru")
      , (45, "quarantacinque")
      , (46, "quarantaséi")
      , (47, "quarantasétte")
      , (48, "quarantóttu")
      , (49, "quarantanóve")
      , (50, "cinquanta")
      , (51, "cinquantunu")
      , (52, "cinquantadui")
      , (53, "cinquantatrè")
      , (54, "cinquantaquattru")
      , (55, "cinquantacinque")
      , (56, "cinquantaséi")
      , (57, "cinquantasétte")
      , (58, "cinquantóttu")
      , (59, "cinquantanóve")
      , (60, "sessanta")
      , (61, "sessantunu")
      , (62, "sessantadui")
      , (63, "sessantatrè")
      , (64, "sessantaquattru")
      , (65, "sessantacinque")
      , (66, "sessantaséi")
      , (67, "sessantasétte")
      , (68, "sessantóttu")
      , (69, "sessantanóve")
      , (70, "settanta")
      , (71, "settantunu")
      , (72, "settantadui")
      , (73, "settantatrè")
      , (74, "settantaquattru")
      , (75, "settantacinque")
      , (76, "settantaséi")
      , (77, "settantasétte")
      , (78, "settantóttu")
      , (79, "settantanóve")
      , (80, "ottanta")
      , (81, "ottantunu")
      , (82, "ottantadui")
      , (83, "ottantatrè")
      , (84, "ottantaquattru")
      , (85, "ottantacinque")
      , (86, "ottantaséi")
      , (87, "ottantasétte")
      , (88, "ottantóttu")
      , (89, "ottantanóve")
      , (90, "novanta")
      , (91, "novantunu")
      , (92, "novantadui")
      , (93, "novantatrè")
      , (94, "novantaquattru")
      , (95, "novantacinque")
      , (96, "novantaséi")
      , (97, "novantasétte")
      , (98, "novantóttu")
      , (99, "novantanóve")
      , (100, "cèntu")
      , (101, "cèntu è unu")
      , (102, "cèntu è dui")
      , (103, "cèntu è trè")
      , (104, "cèntu è quattru")
      , (105, "cèntu è cinque")
      , (106, "cèntu è séi")
      , (107, "cèntu è sétte")
      , (108, "cèntu è óttu")
      , (109, "cèntu è nóve")
      , (110, "cèntu è déce")
      , (123, "cèntuvintitrè")
      , (200, "duiecèntu")
      , (300, "trecèntu")
      , (321, "trecèntu vintunu")
      , (400, "quattrucèntu")
      , (500, "cinquecèntu")
      , (600, "séicèntu")
      , (700, "séttecèntu")
      , (800, "óttucèntu")
      , (900, "nóvecèntu")
      , (909, "nóvecèntu è nóve")
      , (990, "nóvecèntu novanta")
      , (999, "nóvecèntu novantanóve")
      , (1000, "mille")
      , (1001, "mille è unu")
      , (1008, "mille è óttu")
      , (1234, "mille è duiecèntu trèntaquattru")
      , (2000, "duiemila")
      , (3000, "trèmila")
      , (4000, "quattrumila")
      , (4321, "quattrumila è trecèntu vintunu")
      , (5000, "cinquemila")
      , (6000, "séimila")
      , (7000, "séttemila")
      , (8000, "óttumila")
      , (9000, "nóvemila")
      , (10000, "décemila")
      , (12345, "dòdecimila è trecèntu quarantacinque")
      , (20000, "vintimila")
      , (30000, "trèntamila")
      , (40000, "quarantamila")
      , (50000, "cinquantamila")
      , (54321, "cinquantaquattrumila è trecèntu vintunu")
      , (60000, "sessantamila")
      , (70000, "settantamila")
      , (80000, "ottantamila")
      , (90000, "novantamila")
      , (100000, "cèntumila")
      , (123456, "cèntuvintitrèmila è quattrucèntu cinquantaséi")
      , (200000, "duiecèntumila")
      , (300000, "trecèntumila")
      , (400000, "quattrucèntumila")
      , (500000, "cinquecèntumila")
      , (600000, "séicèntumila")
      , (654321, "séicèntu cinquantaquattrumila è trecèntu vintunu")
      , (700000, "séttecèntumila")
      , (800000, "óttucèntumila")
      , (900000, "nóvecèntumila")
      , (1000000, "un miliòne")
      , (1000001, "un miliòne è unu")
      , (1234567, "un miliòne è duiecèntu trèntaquattrumila è cinquecèntu sessantasétte")
      , (2000000, "dui milioni")
      , (3000000, "trè milioni")
      , (4000000, "quattru milioni")
      , (5000000, "cinque milioni")
      , (6000000, "séi milioni")
      , (7000000, "sétte milioni")
      , (7654321, "sétte milioni è séicèntu cinquantaquattrumila è trecèntu vintunu")
      , (8000000, "óttu milioni")
      , (9000000, "nóve milioni")
      , (1000000000, "una miliarda")
      , (1000000001, "una miliarda è unu")
      , (2000000000, "duie miliarde")
      , (3000000000, "trè miliarde")
      , (4000000000, "quattru miliarde")
      , (5000000000, "cinque miliarde")
      , (6000000000, "séi miliarde")
      , (7000000000, "sétte miliarde")
      , (8000000000, "óttu miliarde")
      , (9000000000, "nóve miliarde")
      ]
    )
  ]
