{-|
[@ISO639-1@]        fo

[@ISO639-2@]        fao

[@ISO639-3@]        fao

[@Native name@]     føroyskt

[@English name@]    Faroese
-}
module Text.Numeral.Language.FAO.TestData (cardinals) where


--------------------------------------------------------------------------------
-- Imports
--------------------------------------------------------------------------------

import "numerals" Text.Numeral.Grammar ( defaultInflection )
import "this" Text.Numeral.Test ( TestData )


--------------------------------------------------------------------------------
-- Test data
--------------------------------------------------------------------------------

{-
Sources:
  http://www.languagesandnumbers.com/how-to-count-in-faroese/en/fao/
-}

cardinals :: (Num i) => TestData i
cardinals =
  [ ( "default"
    , defaultInflection
    , [ (0, "null")
      , (1, "ein")
      , (2, "tveir")
      , (3, "tríggir")
      , (4, "fýra")
      , (5, "fimm")
      , (6, "seks")
      , (7, "sjey")
      , (8, "átta")
      , (9, "níggju")
      , (10, "tíggju")
      , (11, "ellivu")
      , (12, "tólv")
      , (13, "trettan")
      , (14, "fjúrtan")
      , (15, "fimtan")
      , (16, "sekstan")
      , (17, "seytjan")
      , (18, "átjan")
      , (19, "nítjan")
      , (20, "tjúgu")
      , (21, "ein og tjúgu")
      , (22, "tveir og tjúgu")
      , (23, "tríggir og tjúgu")
      , (24, "fýra og tjúgu")
      , (25, "fimm og tjúgu")
      , (26, "seks og tjúgu")
      , (27, "sjey og tjúgu")
      , (28, "átta og tjúgu")
      , (29, "níggju og tjúgu")
      , (30, "tríati")
      , (31, "ein og tríati")
      , (32, "tveir og tríati")
      , (33, "tríggir og tríati")
      , (34, "fýra og tríati")
      , (35, "fimm og tríati")
      , (36, "seks og tríati")
      , (37, "sjey og tríati")
      , (38, "átta og tríati")
      , (39, "níggju og tríati")
      , (40, "fýrati")
      , (41, "ein og fýrati")
      , (42, "tveir og fýrati")
      , (43, "tríggir og fýrati")
      , (44, "fýra og fýrati")
      , (45, "fimm og fýrati")
      , (46, "seks og fýrati")
      , (47, "sjey og fýrati")
      , (48, "átta og fýrati")
      , (49, "níggju og fýrati")
      , (50, "fimmti")
      , (51, "ein og fimmti")
      , (52, "tveir og fimmti")
      , (53, "tríggir og fimmti")
      , (54, "fýra og fimmti")
      , (55, "fimm og fimmti")
      , (56, "seks og fimmti")
      , (57, "sjey og fimmti")
      , (58, "átta og fimmti")
      , (59, "níggju og fimmti")
      , (60, "seksti")
      , (61, "ein og seksti")
      , (62, "tveir og seksti")
      , (63, "tríggir og seksti")
      , (64, "fýra og seksti")
      , (65, "fimm og seksti")
      , (66, "seks og seksti")
      , (67, "sjey og seksti")
      , (68, "átta og seksti")
      , (69, "níggju og seksti")
      , (70, "sjeyti")
      , (71, "ein og sjeyti")
      , (72, "tveir og sjeyti")
      , (73, "tríggir og sjeyti")
      , (74, "fýra og sjeyti")
      , (75, "fimm og sjeyti")
      , (76, "seks og sjeyti")
      , (77, "sjey og sjeyti")
      , (78, "átta og sjeyti")
      , (79, "níggju og sjeyti")
      , (80, "áttati")
      , (81, "ein og áttati")
      , (82, "tveir og áttati")
      , (83, "tríggir og áttati")
      , (84, "fýra og áttati")
      , (85, "fimm og áttati")
      , (86, "seks og áttati")
      , (87, "sjey og áttati")
      , (88, "átta og áttati")
      , (89, "níggju og áttati")
      , (90, "níti")
      , (91, "ein og níti")
      , (92, "tveir og níti")
      , (93, "tríggir og níti")
      , (94, "fýra og níti")
      , (95, "fimm og níti")
      , (96, "seks og níti")
      , (97, "sjey og níti")
      , (98, "átta og níti")
      , (99, "níggju og níti")
      , (100, "hundrað")
      , (101, "hundrað og ein")
      , (102, "hundrað og tveir")
      , (103, "hundrað og tríggir")
      , (104, "hundrað og fýra")
      , (105, "hundrað og fimm")
      , (106, "hundrað og seks")
      , (107, "hundrað og sjey")
      , (108, "hundrað og átta")
      , (109, "hundrað og níggju")
      , (110, "hundrað og tíggju")
      , (123, "hundrað og tríggir og tjúgu")
      , (200, "tvey hundrað")
      , (300, "trý hundrað")
      , (321, "trý hundrað og ein og tjúgu")
      , (400, "fýra hundrað")
      , (500, "fimm hundrað")
      , (600, "seks hundrað")
      , (700, "sjey hundrað")
      , (800, "átta hundrað")
      , (900, "níggju hundrað")
      , (909, "níggju hundrað og níggju")
      , (990, "níggju hundrað og níti")
      , (999, "níggju hundrað og níggju og níti")
      , (1000, "túsund")
      , (1001, "eitt túsund og ein")
      , (1008, "eitt túsund og átta")
      , (1234, "eitt túsund tvey hundrað og fýra og tríati")
      , (2000, "tvey túsund")
      , (3000, "trý túsund")
      , (4000, "fýra túsund")
      , (4321, "fýra túsund trý hundrað og ein og tjúgu")
      , (5000, "fimm túsund")
      , (6000, "seks túsund")
      , (7000, "sjey túsund")
      , (8000, "átta túsund")
      , (9000, "níggju túsund")
      , (10000, "tíggju túsund")
      , (12345, "tólv túsund trý hundrað og fimm og fýrati")
      , (20000, "tjúgu túsund")
      , (30000, "tríati túsund")
      , (40000, "fýrati túsund")
      , (50000, "fimmti túsund")
      , (54321, "fýra og fimmti túsund trý hundrað og ein og tjúgu")
      , (60000, "seksti túsund")
      , (70000, "sjeyti túsund")
      , (80000, "áttati túsund")
      , (90000, "níti túsund")
      , (100000, "hundrað túsund")
      , (123456, "hundrað og tríggir og tjúgu túsund og fýra hundrað og seks og fimmti")
      , (200000, "tvey hundrað túsund")
      , (300000, "trý hundrað túsund")
      , (400000, "fýra hundrað túsund")
      , (500000, "fimm hundrað túsund")
      , (600000, "seks hundrað túsund")
      , (654321, "seks hundrað og fýra og fimmti túsund trý hundrað og ein og tjúgu")
      , (700000, "sjey hundrað túsund")
      , (800000, "átta hundrað túsund")
      , (900000, "níggju hundrað túsund")
      , (1000000, "ein millión")
      , (1000001, "ein millión og ein")
      , (1234567, "ein millión tvey hundrað og fýra og tríati túsund og fimm hundrað og sjey og seksti")
      , (2000000, "tvær milliónir")
      , (3000000, "tríggjar milliónir")
      , (4000000, "fýra milliónir")
      , (5000000, "fimm milliónir")
      , (6000000, "seks milliónir")
      , (7000000, "sjey milliónir")
      , (7654321, "sjey milliónir og seks hundrað og fýra og fimmti túsund trý hundrað og ein og tjúgu")
      , (8000000, "átta milliónir")
      , (9000000, "níggju milliónir")
      , (1000000000, "ein milliard")
      , (1000000001, "ein milliard og ein")
      , (2000000000, "tveir milliardir")
      , (3000000000, "tríggir milliardir")
      , (4000000000, "fýra milliardir")
      , (5000000000, "fimm milliardir")
      , (6000000000, "seks milliardir")
      , (7000000000, "sjey milliardir")
      , (8000000000, "átta milliardir")
      , (9000000000, "níggju milliardir")
      ]
    )
  ]
