{-|
[@ISO639-1@]        -

[@ISO639-2@]        gil

[@ISO639-3@]        gil

[@Native name@]     Taetae ni Kiribati

[@English name@]    Gilbertese
-}
module Text.Numeral.Language.GIL.TestData (cardinals) where


--------------------------------------------------------------------------------
-- Imports
--------------------------------------------------------------------------------

import "numerals" Text.Numeral.Grammar ( defaultInflection )
import "this" Text.Numeral.Test ( TestData )


--------------------------------------------------------------------------------
-- Test data
--------------------------------------------------------------------------------

{-
Sources:
  http://www.languagesandnumbers.com/how-to-count-in-gilbertese/en/gil/
-}

cardinals :: (Num i) => TestData i
cardinals =
  [ ( "default"
    , defaultInflection
    , [ (0, "akea")
      , (1, "teuana")
      , (2, "uoua")
      , (3, "tenua")
      , (4, "aua")
      , (5, "nimaua")
      , (6, "onoua")
      , (7, "itua")
      , (8, "wanua")
      , (9, "ruaiwa")
      , (10, "tebwina")
      , (11, "tebwi ma teuana")
      , (12, "tebwi ma uoua")
      , (13, "tebwi ma tenua")
      , (14, "tebwi ma aua")
      , (15, "tebwi ma nimaua")
      , (16, "tebwi ma onoua")
      , (17, "tebwi ma itua")
      , (18, "tebwi ma wanua")
      , (19, "tebwi ma ruaiwa")
      , (20, "uabwi")
      , (21, "uabwi ma teuana")
      , (22, "uabwi ma uoua")
      , (23, "uabwi ma tenua")
      , (24, "uabwi ma aua")
      , (25, "uabwi ma nimaua")
      , (26, "uabwi ma onoua")
      , (27, "uabwi ma itua")
      , (28, "uabwi ma wanua")
      , (29, "uabwi ma ruaiwa")
      , (30, "tenibwi")
      , (31, "tenibwi ma teuana")
      , (32, "tenibwi ma uoua")
      , (33, "tenibwi ma tenua")
      , (34, "tenibwi ma aua")
      , (35, "tenibwi ma nimaua")
      , (36, "tenibwi ma onoua")
      , (37, "tenibwi ma itua")
      , (38, "tenibwi ma wanua")
      , (39, "tenibwi ma ruaiwa")
      , (40, "abwi")
      , (41, "abwi ma teuana")
      , (42, "abwi ma uoua")
      , (43, "abwi ma tenua")
      , (44, "abwi ma aua")
      , (45, "abwi ma nimaua")
      , (46, "abwi ma onoua")
      , (47, "abwi ma itua")
      , (48, "abwi ma wanua")
      , (49, "abwi ma ruaiwa")
      , (50, "nimabwi")
      , (51, "nimabwi ma teuana")
      , (52, "nimabwi ma uoua")
      , (53, "nimabwi ma tenua")
      , (54, "nimabwi ma aua")
      , (55, "nimabwi ma nimaua")
      , (56, "nimabwi ma onoua")
      , (57, "nimabwi ma itua")
      , (58, "nimabwi ma wanua")
      , (59, "nimabwi ma ruaiwa")
      , (60, "onobwi")
      , (61, "onobwi ma teuana")
      , (62, "onobwi ma uoua")
      , (63, "onobwi ma tenua")
      , (64, "onobwi ma aua")
      , (65, "onobwi ma nimaua")
      , (66, "onobwi ma onoua")
      , (67, "onobwi ma itua")
      , (68, "onobwi ma wanua")
      , (69, "onobwi ma ruaiwa")
      , (70, "itibwi")
      , (71, "itibwi ma teuana")
      , (72, "itibwi ma uoua")
      , (73, "itibwi ma tenua")
      , (74, "itibwi ma aua")
      , (75, "itibwi ma nimaua")
      , (76, "itibwi ma onoua")
      , (77, "itibwi ma itua")
      , (78, "itibwi ma wanua")
      , (79, "itibwi ma ruaiwa")
      , (80, "wanibwi")
      , (81, "wanibwi ma teuana")
      , (82, "wanibwi ma uoua")
      , (83, "wanibwi ma tenua")
      , (84, "wanibwi ma aua")
      , (85, "wanibwi ma nimaua")
      , (86, "wanibwi ma onoua")
      , (87, "wanibwi ma itua")
      , (88, "wanibwi ma wanua")
      , (89, "wanibwi ma ruaiwa")
      , (90, "ruabwi")
      , (91, "ruabwi ma teuana")
      , (92, "ruabwi ma uoua")
      , (93, "ruabwi ma tenua")
      , (94, "ruabwi ma aua")
      , (95, "ruabwi ma nimaua")
      , (96, "ruabwi ma onoua")
      , (97, "ruabwi ma itua")
      , (98, "ruabwi ma wanua")
      , (99, "ruabwi ma ruaiwa")
      , (100, "tebubua")
      , (101, "tebubua ao teuana")
      , (102, "tebubua ao uoua")
      , (103, "tebubua ao tenua")
      , (104, "tebubua ao aua")
      , (105, "tebubua ao nimaua")
      , (106, "tebubua ao onoua")
      , (107, "tebubua ao itua")
      , (108, "tebubua ao wanua")
      , (109, "tebubua ao ruaiwa")
      , (110, "tebubua tebwina")
      , (123, "tebubua uabwi ma tenua")
      , (200, "uabubua")
      , (300, "tenibubua")
      , (321, "tenibubua uabwi ma teuana")
      , (400, "abubua")
      , (500, "nimabubua")
      , (600, "onobubua")
      , (700, "itibubua")
      , (800, "wanibubua")
      , (900, "ruabubua")
      , (909, "ruabubua ao ruaiwa")
      , (990, "ruabubua ruabwi")
      , (999, "ruabubua ruabwi ma ruaiwa")
      , (1000, "tengaa")
      , (1001, "tengaa ao teuana")
      , (1008, "tengaa ao wanua")
      , (1234, "tengaa uabubua tenibwi ma aua")
      , (2000, "uangaa")
      , (3000, "teningaa")
      , (4000, "angaa")
      , (4321, "angaa tenibubua uabwi ma teuana")
      , (5000, "nimangaa")
      , (6000, "onongaa")
      , (7000, "itingaa")
      , (8000, "waniengaa")
      , (9000, "ruangaa")
      , (10000, "tebwina tengaa")
      , (12345, "tebwi ma uoua tengaa tenibubua abwi ma nimaua")
      , (20000, "uabwi tengaa")
      , (30000, "tenibwi tengaa")
      , (40000, "abwi tengaa")
      , (50000, "nimabwi tengaa")
      , (54321, "nimabwi ma aua tengaa tenibubua uabwi ma teuana")
      , (60000, "onobwi tengaa")
      , (70000, "itibwi tengaa")
      , (80000, "wanibwi tengaa")
      , (90000, "ruabwi tengaa")
      , (100000, "tebubua tengaa")
      , (123456, "tebubua uabwi ma tenua tengaa abubua nimabwi ma onoua")
      , (200000, "uabubua tengaa")
      , (300000, "tenibubua tengaa")
      , (400000, "abubua tengaa")
      , (500000, "nimabubua tengaa")
      , (600000, "onobubua tengaa")
      , (654321, "onobubua nimabwi ma aua tengaa tenibubua uabwi ma teuana")
      , (700000, "itibubua tengaa")
      , (800000, "wanibubua tengaa")
      , (900000, "ruabubua tengaa")
      , (1000000, "te mirion")
      , (1000001, "te mirion, teuana")
      , (1234567, "te mirion, uabubua tenibwi ma aua tengaa nimabubua onobwi ma itua")
      , (2000000, "uoua te mirion")
      , (3000000, "tenua te mirion")
      , (4000000, "aua te mirion")
      , (5000000, "nimaua te mirion")
      , (6000000, "onoua te mirion")
      , (7000000, "itua te mirion")
      , (7654321, "itua te mirion, onobubua nimabwi ma aua tengaa tenibubua uabwi ma teuana")
      , (8000000, "wanua te mirion")
      , (9000000, "ruaiwa te mirion")
      , (1000000000, "te birian")
      , (1000000001, "te birian, teuana")
      , (2000000000, "uoua te birian")
      , (3000000000, "tenua te birian")
      , (4000000000, "aua te birian")
      , (5000000000, "nimaua te birian")
      , (6000000000, "onoua te birian")
      , (7000000000, "itua te birian")
      , (8000000000, "wanua te birian")
      , (9000000000, "ruaiwa te birian")
      ]
    )
  ]
