{-|
[@ISO639-1@]        -

[@ISO639-2@]        inh

[@ISO639-3@]        inh

[@Native name@]     -

[@English name@]    Ingush
-}
module Text.Numeral.Language.INH.TestData (cardinals) where


--------------------------------------------------------------------------------
-- Imports
--------------------------------------------------------------------------------

import "numerals" Text.Numeral.Grammar ( defaultInflection )
import "this" Text.Numeral.Test ( TestData )


--------------------------------------------------------------------------------
-- Test data
--------------------------------------------------------------------------------

{-
Sources:
  http://www.languagesandnumbers.com/how-to-count-in-ingush/en/inh/
-}

cardinals :: (Num i) => TestData i
cardinals =
  [ ( "default"
    , defaultInflection
    , [ (1, "цаI")
      , (2, "шиъ")
      , (3, "кхоъ")
      , (4, "диъ")
      , (5, "пхиъ")
      , (6, "ялх")
      , (7, "ворхI")
      , (8, "бапхI")
      , (9, "ийц")
      , (10, "итт")
      , (11, "цхьайтта")
      , (12, "шийтта")
      , (13, "кхойтта")
      , (14, "дийтта")
      , (15, "пхийтта")
      , (16, "ялхайтта")
      , (17, "вупийтта")
      , (18, "бапайтта")
      , (19, "ткъеста")
      , (20, "ткъо")
      , (21, "ткъаь цаI")
      , (22, "ткъаь шиъ")
      , (23, "ткъаь кхоъ")
      , (24, "ткъаь диъ")
      , (25, "ткъаь пхиъ")
      , (26, "ткъаь ялх")
      , (27, "ткъаь ворхI")
      , (28, "ткъаь бапхI")
      , (29, "ткъаь ийц")
      , (30, "ткъаь итт")
      , (31, "ткъаь цхьайтта")
      , (32, "ткъаь шийтта")
      , (33, "ткъаь кхойтта")
      , (34, "ткъаь дийтта")
      , (35, "ткъаь пхийтта")
      , (36, "ткъаь ялхайтта")
      , (37, "ткъаь вупийтта")
      , (38, "ткъаь бапайтта")
      , (39, "ткъаь ткъеста")
      , (40, "шовэткъа")
      , (41, "шовэткъе цаI")
      , (42, "шовэткъе шиъ")
      , (43, "шовэткъе кхоъ")
      , (44, "шовэткъе диъ")
      , (45, "шовэткъе пхиъ")
      , (46, "шовэткъе ялх")
      , (47, "шовэткъе ворхI")
      , (48, "шовэткъе бапхI")
      , (49, "шовэткъе ийц")
      , (50, "шовэткъа итт")
      , (51, "шовэткъе цхьайтта")
      , (52, "шовэткъе шийтта")
      , (53, "шовэткъе кхойтта")
      , (54, "шовэткъе дийтта")
      , (55, "шовэткъе пхийтта")
      , (56, "шовэткъе ялхайтта")
      , (57, "шовэткъе вупийтта")
      , (58, "шовэткъе бапайтта")
      , (59, "шовэткъе ткъеста")
      , (60, "кхоэткъа")
      , (61, "кхоэткъе цаI")
      , (62, "кхоэткъе шиъ")
      , (63, "кхоэткъе кхоъ")
      , (64, "кхоэткъе диъ")
      , (65, "кхоэткъе пхиъ")
      , (66, "кхоэткъе ялх")
      , (67, "кхоэткъе ворхI")
      , (68, "кхоэткъе бапхI")
      , (69, "кхоэткъе ийц")
      , (70, "кхоэткъа итт")
      , (71, "кхоэткъе цхьайтта")
      , (72, "кхоэткъе шийтта")
      , (73, "кхоэткъе кхойтта")
      , (74, "кхоэткъе дийтта")
      , (75, "кхоэткъе пхийтта")
      , (76, "кхоэткъе ялхайтта")
      , (77, "кхоэткъе вупийтта")
      , (78, "кхоэткъе бапайтта")
      , (79, "кхоэткъе ткъеста")
      , (80, "деэткъа")
      , (81, "деэткъе цаI")
      , (82, "деэткъе шиъ")
      , (83, "деэткъе кхоъ")
      , (84, "деэткъе диъ")
      , (85, "деэткъе пхиъ")
      , (86, "деэткъе ялх")
      , (87, "деэткъе ворхI")
      , (88, "деэткъе бапхI")
      , (89, "деэткъе ийц")
      , (90, "деэткъа итт")
      , (91, "деэткъе цхьайтта")
      , (92, "деэткъе шийтта")
      , (93, "деэткъе кхойтта")
      , (94, "деэткъе дийтта")
      , (95, "деэткъе пхийтта")
      , (96, "деэткъе ялхайтта")
      , (97, "деэткъе вупийтта")
      , (98, "деэткъе бапайтта")
      , (99, "деэткъе ткъеста")
      , (100, "бIаь")
      , (101, "цхьа бIаьи цаI")
      , (102, "цхьа бIаьи шиъ")
      , (103, "цхьа бIаьи кхоъ")
      , (104, "цхьа бIаьи диъ")
      , (105, "цхьа бIаьи пхиъ")
      , (106, "цхьа бIаьи ялх")
      , (107, "цхьа бIаьи ворхI")
      , (108, "цхьа бIаьи бапхI")
      , (109, "цхьа бIаьи ийц")
      , (110, "цхьа бIаьи итт")
      , (123, "цхьа бIаьи ткъаь кхоъ")
      , (200, "ши бIаь")
      , (300, "кхо бIаь")
      , (321, "кхо бIаьи ткъаь цаI")
      , (400, "ди бIаь")
      , (500, "пхи бIаь")
      , (600, "ялх бIаь")
      , (700, "ворх бIаь")
      , (800, "бапх бIаь")
      , (900, "ийц бIаь")
      , (909, "ийц бIаьи ийц")
      , (990, "ийц бIаьи деэткъа итт")
      , (999, "ийц бIаьи деэткъе ткъеста")
      , (1000, "эзап")
      , (1001, "эзап цаI")
      , (1008, "эзап бапхI")
      , (1234, "эзап ши бIаьи ткъаь дийтта")
      , (2000, "ши эзап")
      , (3000, "кхо эзап")
      , (4000, "ди эзап")
      , (4321, "ди эзап кхо бIаьи ткъаь цаI")
      , (5000, "пхи эзап")
      , (6000, "ялх эзап")
      , (7000, "ворх эзап")
      , (8000, "бапх эзап")
      , (9000, "ийц эзап")
      , (10000, "итт эзап")
      , (12345, "шийтта эзап кхо бIаьи шовэткъе пхиъ")
      , (20000, "ткъо эзап")
      , (30000, "ткъаь итт эзап")
      , (40000, "шовэткъа эзап")
      , (50000, "шовэткъа итт эзап")
      , (54321, "шовэткъе дийтта эзап кхо бIаьи ткъаь цаI")
      , (60000, "кхоэткъа эзап")
      , (70000, "кхоэткъа итт эзап")
      , (80000, "деэткъа эзап")
      , (90000, "деэткъа итт эзап")
      , (100000, "цхьа бIаьи эзап")
      , (123456, "цхьа бIаьи ткъаь кхо эзап ди бIаьи шовэткъе ялхайтта")
      , (200000, "ши бIаьи эзап")
      , (300000, "кхо бIаьи эзап")
      , (400000, "ди бIаьи эзап")
      , (500000, "пхи бIаьи эзап")
      , (600000, "ялх бIаьи эзап")
      , (654321, "ялх бIаьи шовэткъе дийтта эзап кхо бIаьи ткъаь цаI")
      , (700000, "ворх бIаьи эзап")
      , (800000, "бапх бIаьи эзап")
      , (900000, "ийц бIаьи эзап")
      , (1000000, "миллион")
      , (1000001, "миллион цаI")
      , (1234567, "миллион ши бIаьи ткъаь дийтта эзап пхи бIаьи кхоэткъе ворхI")
      , (2000000, "ши миллион")
      , (3000000, "кхо миллион")
      , (4000000, "ди миллион")
      , (5000000, "пхи миллион")
      , (6000000, "ялх миллион")
      , (7000000, "ворх миллион")
      , (7654321, "ворх миллион ялх бIаьи шовэткъе дийтта эзап кхо бIаьи ткъаь цаI")
      , (8000000, "бапх миллион")
      , (9000000, "ийц миллион")
      , (1000000000, "миллиард")
      , (1000000001, "миллиард цаI")
      , (2000000000, "ши миллиард")
      , (3000000000, "кхо миллиард")
      , (4000000000, "ди миллиард")
      , (5000000000, "пхи миллиард")
      , (6000000000, "ялх миллиард")
      , (7000000000, "ворх миллиард")
      , (8000000000, "бапх миллиард")
      , (9000000000, "ийц миллиард")
      ]
    )
  ]
