{-|
[@ISO639-1@]        lv

[@ISO639-2@]        lav

[@ISO639-3@]        lav

[@Native name@]     latviešu valoda

[@English name@]    Latvian
-}
module Text.Numeral.Language.LAV.TestData (cardinals) where


--------------------------------------------------------------------------------
-- Imports
--------------------------------------------------------------------------------

import "numerals" Text.Numeral.Grammar ( defaultInflection )
import "this" Text.Numeral.Test ( TestData )


--------------------------------------------------------------------------------
-- Test data
--------------------------------------------------------------------------------

{-
Sources:
  http://www.languagesandnumbers.com/how-to-count-in-latvian/en/lav/
-}

cardinals :: (Num i) => TestData i
cardinals =
  [ ( "default"
    , defaultInflection
    , [ (0, "nulle")
      , (1, "viens")
      , (2, "divi")
      , (3, "trīs")
      , (4, "četri")
      , (5, "pieci")
      , (6, "seši")
      , (7, "septiņi")
      , (8, "astoņi")
      , (9, "deviņi")
      , (10, "desmit")
      , (11, "vienpadsmit")
      , (12, "divpadsmit")
      , (13, "trīspadsmit")
      , (14, "četrpadsmit")
      , (15, "piecpadsmit")
      , (16, "sešpadsmit")
      , (17, "septiņpadsmit")
      , (18, "astoņpadsmit")
      , (19, "deviņpadsmit")
      , (20, "divdesmit")
      , (21, "divdesmit viens")
      , (22, "divdesmit divi")
      , (23, "divdesmit trīs")
      , (24, "divdesmit četri")
      , (25, "divdesmit pieci")
      , (26, "divdesmit seši")
      , (27, "divdesmit septiņi")
      , (28, "divdesmit astoņi")
      , (29, "divdesmit deviņi")
      , (30, "trīsdesmit")
      , (31, "trīsdesmit viens")
      , (32, "trīsdesmit divi")
      , (33, "trīsdesmit trīs")
      , (34, "trīsdesmit četri")
      , (35, "trīsdesmit pieci")
      , (36, "trīsdesmit seši")
      , (37, "trīsdesmit septiņi")
      , (38, "trīsdesmit astoņi")
      , (39, "trīsdesmit deviņi")
      , (40, "četrdesmit")
      , (41, "četrdesmit viens")
      , (42, "četrdesmit divi")
      , (43, "četrdesmit trīs")
      , (44, "četrdesmit četri")
      , (45, "četrdesmit pieci")
      , (46, "četrdesmit seši")
      , (47, "četrdesmit septiņi")
      , (48, "četrdesmit astoņi")
      , (49, "četrdesmit deviņi")
      , (50, "piecdesmit")
      , (51, "piecdesmit viens")
      , (52, "piecdesmit divi")
      , (53, "piecdesmit trīs")
      , (54, "piecdesmit četri")
      , (55, "piecdesmit pieci")
      , (56, "piecdesmit seši")
      , (57, "piecdesmit septiņi")
      , (58, "piecdesmit astoņi")
      , (59, "piecdesmit deviņi")
      , (60, "sešdesmit")
      , (61, "sešdesmit viens")
      , (62, "sešdesmit divi")
      , (63, "sešdesmit trīs")
      , (64, "sešdesmit četri")
      , (65, "sešdesmit pieci")
      , (66, "sešdesmit seši")
      , (67, "sešdesmit septiņi")
      , (68, "sešdesmit astoņi")
      , (69, "sešdesmit deviņi")
      , (70, "septiņdesmit")
      , (71, "septiņdesmit viens")
      , (72, "septiņdesmit divi")
      , (73, "septiņdesmit trīs")
      , (74, "septiņdesmit četri")
      , (75, "septiņdesmit pieci")
      , (76, "septiņdesmit seši")
      , (77, "septiņdesmit septiņi")
      , (78, "septiņdesmit astoņi")
      , (79, "septiņdesmit deviņi")
      , (80, "astoņdesmit")
      , (81, "astoņdesmit viens")
      , (82, "astoņdesmit divi")
      , (83, "astoņdesmit trīs")
      , (84, "astoņdesmit četri")
      , (85, "astoņdesmit pieci")
      , (86, "astoņdesmit seši")
      , (87, "astoņdesmit septiņi")
      , (88, "astoņdesmit astoņi")
      , (89, "astoņdesmit deviņi")
      , (90, "deviņdesmit")
      , (91, "deviņdesmit viens")
      , (92, "deviņdesmit divi")
      , (93, "deviņdesmit trīs")
      , (94, "deviņdesmit četri")
      , (95, "deviņdesmit pieci")
      , (96, "deviņdesmit seši")
      , (97, "deviņdesmit septiņi")
      , (98, "deviņdesmit astoņi")
      , (99, "deviņdesmit deviņi")
      , (100, "simts")
      , (101, "simt viens")
      , (102, "simt divi")
      , (103, "simt trīs")
      , (104, "simt četri")
      , (105, "simt pieci")
      , (106, "simt seši")
      , (107, "simt septiņi")
      , (108, "simt astoņi")
      , (109, "simt deviņi")
      , (110, "simt desmit")
      , (123, "simt divdesmit trīs")
      , (200, "divsimt")
      , (300, "trīssimt")
      , (321, "trīssimt divdesmit viens")
      , (400, "četrsimt")
      , (500, "piecsimt")
      , (600, "sešsimt")
      , (700, "septiņsimt")
      , (800, "astoņsimt")
      , (900, "deviņsimt")
      , (909, "deviņsimt deviņi")
      , (990, "deviņsimt deviņdesmit")
      , (999, "deviņsimt deviņdesmit deviņi")
      , (1000, "tūkstoš")
      , (1001, "tūkstoš viens")
      , (1008, "tūkstoš astoņi")
      , (1234, "tūkstoš divsimt trīsdesmit četri")
      , (2000, "divtūkstoši")
      , (3000, "trīstūkstoši")
      , (4000, "četrtūkstoši")
      , (4321, "četrtūkstoši trīssimt divdesmit viens")
      , (5000, "piectūkstoši")
      , (6000, "seštūkstoši")
      , (7000, "septiņtūkstoši")
      , (8000, "astoņtūkstoši")
      , (9000, "deviņtūkstoši")
      , (10000, "desmit tūkstošu")
      , (12345, "divpadsmit tūkstoši trīssimt četrdesmit pieci")
      , (20000, "divdesmit tūkstošu")
      , (30000, "trīsdesmit tūkstošu")
      , (40000, "četrdesmit tūkstošu")
      , (50000, "piecdesmit tūkstošu")
      , (54321, "piecdesmit četrtūkstoši trīssimt divdesmit viens")
      , (60000, "sešdesmit tūkstošu")
      , (70000, "septiņdesmit tūkstošu")
      , (80000, "astoņdesmit tūkstošu")
      , (90000, "deviņdesmit tūkstošu")
      , (100000, "simt tūkstošu")
      , (123456, "simt divdesmit trīstūkstoši četrsimt piecdesmit seši")
      , (200000, "divsimt tūkstošu")
      , (300000, "trīssimt tūkstošu")
      , (400000, "četrsimt tūkstošu")
      , (500000, "piecsimt tūkstošu")
      , (600000, "sešsimt tūkstošu")
      , (654321, "sešsimt piecdesmit četrtūkstoši trīssimt divdesmit viens")
      , (700000, "septiņsimt tūkstošu")
      , (800000, "astoņsimt tūkstošu")
      , (900000, "deviņsimt tūkstošu")
      , (1000000, "miljons")
      , (1000001, "miljons viens")
      , (1234567, "miljons divsimt trīsdesmit četrtūkstoši piecsimt sešdesmit septiņi")
      , (2000000, "divi miljonu")
      , (3000000, "trīs miljonu")
      , (4000000, "četri miljonu")
      , (5000000, "pieci miljonu")
      , (6000000, "seši miljonu")
      , (7000000, "septiņi miljonu")
      , (7654321, "septiņi miljonu sešsimt piecdesmit četrtūkstoši trīssimt divdesmit viens")
      , (8000000, "astoņi miljonu")
      , (9000000, "deviņi miljonu")
      , (1000000000, "miljards")
      , (1000000001, "miljards viens")
      , (2000000000, "divi miljardu")
      , (3000000000, "trīs miljardu")
      , (4000000000, "četri miljardu")
      , (5000000000, "pieci miljardu")
      , (6000000000, "seši miljardu")
      , (7000000000, "septiņi miljardu")
      , (8000000000, "astoņi miljardu")
      , (9000000000, "deviņi miljardu")
      , (1000000000000, "triljons")
      , (1000000000001, "triljons viens")
      , (2000000000000, "divi triljonu")
      , (3000000000000, "trīs triljonu")
      , (4000000000000, "četri triljonu")
      , (5000000000000, "pieci triljonu")
      , (6000000000000, "seši triljonu")
      , (7000000000000, "septiņi triljonu")
      , (8000000000000, "astoņi triljonu")
      , (9000000000000, "deviņi triljonu")
      , (1000000000000000, "kvadriljons")
      , (1000000000000001, "kvadriljons viens")
      , (2000000000000000, "divi kvadriljonu")
      , (3000000000000000, "trīs kvadriljonu")
      , (4000000000000000, "četri kvadriljonu")
      , (5000000000000000, "pieci kvadriljonu")
      , (6000000000000000, "seši kvadriljonu")
      , (7000000000000000, "septiņi kvadriljonu")
      , (8000000000000000, "astoņi kvadriljonu")
      , (9000000000000000, "deviņi kvadriljonu")
      ]
    )
  ]
