{-|
[@ISO639-1@]        nv

[@ISO639-2@]        nav

[@ISO639-3@]        nav

[@Native name@]     Diné bizaad

[@English name@]    Navajo
-}
module Text.Numeral.Language.NAV.TestData (cardinals) where


--------------------------------------------------------------------------------
-- Imports
--------------------------------------------------------------------------------

import "numerals" Text.Numeral.Grammar ( defaultInflection )
import "this" Text.Numeral.Test ( TestData )


--------------------------------------------------------------------------------
-- Test data
--------------------------------------------------------------------------------

{-
Sources:
  http://www.languagesandnumbers.com/how-to-count-in-navajo/en/nav/
-}

cardinals :: (Num i) => TestData i
cardinals =
  [ ( "default"
    , defaultInflection
    , [ (1, "tʼááłáʼí")
      , (2, "naaki")
      , (3, "tááʼ")
      , (4, "dį́į́ʼ")
      , (5, "ashdlaʼ")
      , (6, "hastą́ą́")
      , (7, "tsostsʼid")
      , (8, "tseebíí")
      , (9, "náhástʼéí")
      , (10, "neeznáá")
      , (11, "łáʼtsʼáadah")
      , (12, "naakitsʼáadah")
      , (13, "táátsʼáadah")
      , (14, "dį́į́ʼtsʼáadah")
      , (15, "ashdlaʼáadah")
      , (16, "hastą́ʼáadah")
      , (17, "tsostsʼidtsʼáadah")
      , (18, "tseebíítsʼáadah")
      , (19, "náhástʼéítsʼáadah")
      , (20, "naadiin")
      , (21, "naadįįłaʼ")
      , (22, "naadįįnaaki")
      , (23, "naadįįtááʼ")
      , (24, "naadįįdį́į́ʼ")
      , (25, "naadįįʼashdlaʼ")
      , (26, "naadįįhastą́ą́")
      , (27, "naadįįtsostsʼid")
      , (28, "naadįįtseebíí")
      , (29, "naadįįnáhástʼéí")
      , (30, "tádiin")
      , (31, "tádiin dóó baʼąą tʼááłáʼí")
      , (32, "tádiin dóó baʼąą naaki")
      , (33, "tádiin dóó baʼąą tááʼ")
      , (34, "tádiin dóó baʼąą dį́į́ʼ")
      , (35, "tádiin dóó baʼąą ashdlaʼ")
      , (36, "tádiin dóó baʼąą hastą́ą́")
      , (37, "tádiin dóó baʼąą tsostsʼid")
      , (38, "tádiin dóó baʼąą tseebíí")
      , (39, "tádiin dóó baʼąą náhástʼéí")
      , (40, "dízdiin")
      , (41, "dízdįįłaʼ")
      , (42, "dízdįįnaaki")
      , (43, "dízdįįtááʼ")
      , (44, "dízdįįdį́į́ʼ")
      , (45, "dízdįįʼashdlaʼ")
      , (46, "dízdįįhastą́ą́")
      , (47, "dízdįįtsostsʼid")
      , (48, "dízdįįtseebíí")
      , (49, "dízdįįnáhástʼéí")
      , (50, "ashdladiin")
      , (51, "ashdladiin dóó baʼąą tʼááłáʼí")
      , (52, "ashdladiin dóó baʼąą naaki")
      , (53, "ashdladiin dóó baʼąą tááʼ")
      , (54, "ashdladiin dóó baʼąą dį́į́ʼ")
      , (55, "ashdladiin dóó baʼąą ashdlaʼ")
      , (56, "ashdladiin dóó baʼąą hastą́ą́")
      , (57, "ashdladiin dóó baʼąą tsostsʼid")
      , (58, "ashdladiin dóó baʼąą tseebíí")
      , (59, "ashdladiin dóó baʼąą náhástʼéí")
      , (60, "hastą́diin")
      , (61, "hastą́diin dóó baʼąą tʼááłáʼí")
      , (62, "hastą́diin dóó baʼąą naaki")
      , (63, "hastą́diin dóó baʼąą tááʼ")
      , (64, "hastą́diin dóó baʼąą dį́į́ʼ")
      , (65, "hastą́diin dóó baʼąą ashdlaʼ")
      , (66, "hastą́diin dóó baʼąą hastą́ą́")
      , (67, "hastą́diin dóó baʼąą tsostsʼid")
      , (68, "hastą́diin dóó baʼąą tseebíí")
      , (69, "hastą́diin dóó baʼąą náhástʼéí")
      , (70, "tsostsʼidiin")
      , (71, "tsostsʼidiin dóó baʼąą tʼááłáʼí")
      , (72, "tsostsʼidiin dóó baʼąą naaki")
      , (73, "tsostsʼidiin dóó baʼąą tááʼ")
      , (74, "tsostsʼidiin dóó baʼąą dį́į́ʼ")
      , (75, "tsostsʼidiin dóó baʼąą ashdlaʼ")
      , (76, "tsostsʼidiin dóó baʼąą hastą́ą́")
      , (77, "tsostsʼidiin dóó baʼąą tsostsʼid")
      , (78, "tsostsʼidiin dóó baʼąą tseebíí")
      , (79, "tsostsʼidiin dóó baʼąą náhástʼéí")
      , (80, "tseebídiin")
      , (81, "tseebídiin dóó baʼąą tʼááłáʼí")
      , (82, "tseebídiin dóó baʼąą naaki")
      , (83, "tseebídiin dóó baʼąą tááʼ")
      , (84, "tseebídiin dóó baʼąą dį́į́ʼ")
      , (85, "tseebídiin dóó baʼąą ashdlaʼ")
      , (86, "tseebídiin dóó baʼąą hastą́ą́")
      , (87, "tseebídiin dóó baʼąą tsostsʼid")
      , (88, "tseebídiin dóó baʼąą tseebíí")
      , (89, "tseebídiin dóó baʼąą náhástʼéí")
      , (90, "náhástʼédiin")
      , (91, "náhástʼédiin dóó baʼąą tʼááłáʼí")
      , (92, "náhástʼédiin dóó baʼąą naaki")
      , (93, "náhástʼédiin dóó baʼąą tááʼ")
      , (94, "náhástʼédiin dóó baʼąą dį́į́ʼ")
      , (95, "náhástʼédiin dóó baʼąą ashdlaʼ")
      , (96, "náhástʼédiin dóó baʼąą hastą́ą́")
      , (97, "náhástʼédiin dóó baʼąą tsostsʼid")
      , (98, "náhástʼédiin dóó baʼąą tseebíí")
      , (99, "náhástʼédiin dóó baʼąą náhástʼéí")
      , (100, "tʼááłáhádí neeznádiin")
      , (101, "tʼááłáhádí neeznádiin tʼááłáʼí")
      , (102, "tʼááłáhádí neeznádiin naaki")
      , (103, "tʼááłáhádí neeznádiin tááʼ")
      , (104, "tʼááłáhádí neeznádiin dį́į́ʼ")
      , (105, "tʼááłáhádí neeznádiin ashdlaʼ")
      , (106, "tʼááłáhádí neeznádiin hastą́ą́")
      , (107, "tʼááłáhádí neeznádiin tsostsʼid")
      , (108, "tʼááłáhádí neeznádiin tseebíí")
      , (109, "tʼááłáhádí neeznádiin náhástʼéí")
      , (110, "tʼááłáhádí neeznádiin neeznáá")
      , (123, "tʼááłáhádí neeznádiin naadįįtááʼ")
      , (200, "naakidi neeznádiin")
      , (300, "táadi neeznádiin")
      , (321, "táadi neeznádiin naadįįłaʼ")
      , (400, "dį́įʼdi neeznádiin")
      , (500, "ashdladi neeznádiin")
      , (600, "hastą́ądi neeznádiin")
      , (700, "tsostsʼidi neeznádiin")
      , (800, "tseebíidi neeznádiin")
      , (900, "náhástʼéidi neeznádiin")
      , (909, "náhástʼéidi neeznádiin náhástʼéí")
      , (990, "náhástʼéidi neeznádiin náhástʼédiin")
      , (999, "náhástʼéidi neeznádiin náhástʼédiin dóó baʼąą náhástʼéí")
      , (1000, "tʼááłáhádí mííl")
      , (1001, "tʼááłáhádí mííl tʼááłáʼí")
      , (1008, "tʼááłáhádí mííl tseebíí")
      , (1234, "tʼááłáhádí mííl naakidi neeznádiin tádiin dóó baʼąą dį́į́ʼ")
      , (2000, "naakidi mííl")
      , (3000, "táadi mííl")
      , (4000, "dį́įʼdi mííl")
      , (4321, "dį́įʼdi mííl táadi neeznádiin naadįįłaʼ")
      , (5000, "ashdladi mííl")
      , (6000, "hastą́ądi mííl")
      , (7000, "tsostsʼidi mííl")
      , (8000, "tseebíidi mííl")
      , (9000, "náhástʼéidi mííl")
      , (10000, "neeznáá mííl")
      , (12345, "naakitsʼáadah mííl táadi neeznádiin dízdįįʼashdlaʼ")
      , (20000, "naadiin mííl")
      , (30000, "tádiin mííl")
      , (40000, "dízdiin mííl")
      , (50000, "ashdladiin mííl")
      , (54321, "ashdladiin dóó baʼąą dį́įʼdi mííl táadi neeznádiin naadįįłaʼ")
      , (60000, "hastą́diin mííl")
      , (70000, "tsostsʼidiin mííl")
      , (80000, "tseebídiin mííl")
      , (90000, "náhástʼédiin mííl")
      , (100000, "tʼááłáhádí neeznádiin mííl")
      , (123456, "tʼááłáhádí neeznádiin naadįįtáadi mííl dį́įʼdi neeznádiin ashdladiin dóó baʼąą hastą́ą́")
      , (200000, "naakidi neeznádiin mííl")
      , (300000, "táadi neeznádiin mííl")
      , (400000, "dį́įʼdi neeznádiin mííl")
      , (500000, "ashdladi neeznádiin mííl")
      , (600000, "hastą́ądi neeznádiin mííl")
      , (654321, "hastą́ądi neeznádiin ashdladiin dóó baʼąą dį́įʼdi mííl táadi neeznádiin naadįįłaʼ")
      , (700000, "tsostsʼidi neeznádiin mííl")
      , (800000, "tseebíidi neeznádiin mííl")
      , (900000, "náhástʼéidi neeznádiin mííl")
      , (1000000, "tʼááłáhádí mííltsoh")
      , (1000001, "tʼááłáhádí mííltsoh tʼááłáʼí")
      , (1234567, "tʼááłáhádí mííltsoh naakidi neeznádiin tádiin dóó baʼąą dį́įʼdi mííl ashdladi neeznádiin hastą́diin dóó baʼąą tsostsʼid")
      , (2000000, "naakidi mííltsoh")
      , (3000000, "táadi mííltsoh")
      , (4000000, "dį́įʼdi mííltsoh")
      , (5000000, "ashdladi mííltsoh")
      , (6000000, "hastą́ądi mííltsoh")
      , (7000000, "tsostsʼidi mííltsoh")
      , (7654321, "tsostsʼidi mííltsoh hastą́ądi neeznádiin ashdladiin dóó baʼąą dį́įʼdi mííl táadi neeznádiin naadįįłaʼ")
      , (8000000, "tseebíidi mííltsoh")
      , (9000000, "náhástʼéidi mííltsoh")
      ]
    )
  ]
